org.apache.uima.resource.metadata.impl

## Class FsIndexKeyDescription_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.FsIndexKeyDescription_impl

- All Implemented Interfaces:
    Serializable, Cloneable, FsIndexKeyDescription, MetaDataObject, XMLizable

      public class FsIndexKeyDescription_impl
      extends MetaDataObject_impl
      implements FsIndexKeyDescription

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.resource.metadata.FsIndexKeyDescription

      `REVERSE_STANDARD_COMPARE, STANDARD_COMPARE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FsIndexKeyDescription_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getComparator()` Gets the comparator for this key.
    `String` | `getFeatureName()` Gets the name of the key's Feature.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `boolean` | `isTypePriority()` Gets whether this is a special "type priority" key.
    `protected void` | `readPropertyValueFromXMLElement(PropertyXmlInfo aPropXmlInfo, Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Overridden to handle XML import of the `typePriority` and `comparator` properties.
    `void` | `setComparator(int aComparator)` Sets the comparator for this key.
    `void` | `setFeatureName(String aName)` Sets the name of the key's Feature.
    `void` | `setTypePriority(boolean aTypePriority)` Gets whether this is a special "type priority" key.
    `protected void` | `writePropertyAsElement(PropertyXmlInfo aPropInfo, String aNamespace)` Overridden to handle XML export of the `typePriority` and `comparator` properties.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### FsIndexKeyDescription_impl

          public FsIndexKeyDescription_impl()

  - ### Method Detail

    - #### isTypePriority

          public boolean isTypePriority()

      Description copied from interface: `FsIndexKeyDescription`
      Gets whether this is a special "type priority" key. A type priority key indicates that the ordering of FeatureStructures in the index is based on the `TypePriorities` defined for that Analysis Engine.

      Type priority keys ignore any values assigned to the `featureName` and `comparator` properties.

      Specified by:
        `isTypePriority` in interface `FsIndexKeyDescription`
      Returns:
        true if and only if this is a type priority key
      See Also:
        `FsIndexKeyDescription.isTypePriority()`

    - #### setTypePriority

          public void setTypePriority(boolean aTypePriority)

      Description copied from interface: `FsIndexKeyDescription`
      Gets whether this is a special "type priority" key. A type priority key indicates that the ordering of FeatureStructures in the index is based on the `TypePriorities` defined for that Analysis Engine.

      Type priority keys ignore any values assigned to the `featureName` and `comparator` properties.

      Specified by:
        `setTypePriority` in interface `FsIndexKeyDescription`
      Parameters:
        `aTypePriority` - true if and only if this is a type priority key
      See Also:
        `FsIndexKeyDescription.setTypePriority(boolean)`

    - #### getFeatureName

          public String getFeatureName()

      Description copied from interface: `FsIndexKeyDescription`
      Gets the name of the key's Feature. FeatureStructures will be ordered in the index based on the value of this Feature.
      Specified by:
        `getFeatureName` in interface `FsIndexKeyDescription`
      Returns:
        the name of this key's Feature
      See Also:
        `FsIndexKeyDescription.getFeatureName()`

    - #### setFeatureName

          public void setFeatureName(String aName)

      Description copied from interface: `FsIndexKeyDescription`
      Sets the name of the key's Feature. FeatureStructures will be ordered in the index based on the value of this Feature.
      Specified by:
        `setFeatureName` in interface `FsIndexKeyDescription`
      Parameters:
        `aName` - the name of this key's Feature
      See Also:
        `FsIndexKeyDescription.setFeatureName(String)`

    - #### getComparator

          public int getComparator()

      Description copied from interface: `FsIndexKeyDescription`
      Gets the comparator for this key. This determines the ordering of FeatureStructures in the index. Valid values for this property are defined by constants on this interface.
      Specified by:
        `getComparator` in interface `FsIndexKeyDescription`
      Returns:
        this key's comparator
      See Also:
        `FsIndexKeyDescription.getComparator()`

    - #### setComparator

          public void setComparator(int aComparator)

      Description copied from interface: `FsIndexKeyDescription`
      Sets the comparator for this key. This determines the ordering of FeatureStructures in the index. Valid values for this property are defined by constants on this interface.
      Specified by:
        `setComparator` in interface `FsIndexKeyDescription`
      Parameters:
        `aComparator` - this key's comparator
      See Also:
        `FsIndexKeyDescription.setComparator(int)`

    - #### writePropertyAsElement

          protected void writePropertyAsElement(PropertyXmlInfo aPropInfo,
                                                String aNamespace)
                                         throws SAXException

      Overridden to handle XML export of the `typePriority` and `comparator` properties.
      Overrides:
        `writePropertyAsElement` in class `MetaDataObject_impl`
      Parameters:
        `aPropInfo` - information on how to represent the property in XML
        `aNamespace` - XML namespace URI for this object representation
      Throws:
        `SAXException` - -
      See Also:
        `MetaDataObject_impl.writePropertyAsElement(PropertyXmlInfo, String)`

    - #### readPropertyValueFromXMLElement

          protected void readPropertyValueFromXMLElement(PropertyXmlInfo aPropXmlInfo,
                                                         Element aElement,
                                                         XMLParser aParser,
                                                         XMLParser.ParsingOptions aOptions)
                                                  throws InvalidXMLException

      Overridden to handle XML import of the `typePriority` and `comparator` properties.
      Overrides:
        `readPropertyValueFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aPropXmlInfo` - information about the property to read
        `aElement` - DOM element to read from
        `aParser` - parser to use to construct complex values
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - -
      See Also:
        `MetaDataObject_impl.readPropertyValueFromXMLElement(PropertyXmlInfo, Element, XMLParser, org.apache.uima.util.XMLParser.ParsingOptions)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.